OpenCL Error 2

Use this forum for general user support and related questions.
Post Reply
horse0291
Posts: 3
Joined: Sat Jul 28, 2018 11:18 pm

OpenCL Error 2

Post by horse0291 » Sat Jul 28, 2018 11:36 pm

Hi, I was wondering if anyone else has come across the problem of this error.
Severe error: 2] RUNTIME ERROR: OpenCL device selection string has the wrong length, must be 3 instead of 2

I am using Lux through the Reality 4 plugin for DAZ3D, I know most people use blender on here but this appears to be a lux issue not a daz issue. I have an Intel(R) Core (TM) i7-8700 CPU @ 3.20GHz an Nvidia GTX 1080 card with 16gb of ram. I can render with the cpu accelerated version just fine but I cannot use the OpenCL at al. It crashes and or aborts the render. If anyone has any ideas what is wrong I would appreciate the help.

User avatar
B.Y.O.B.
Developer
Posts: 1583
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: OpenCL Error 2

Post by B.Y.O.B. » Sun Jul 29, 2018 8:44 am

Which LuxCoreRender version are you using?
horse0291 wrote:
Sat Jul 28, 2018 11:36 pm
Severe error: 2] RUNTIME ERROR: OpenCL device selection string has the wrong length, must be 3 instead of 2
The device selection string is set in the config file of a scene.
It's a string of "0" and "1", where 0 disables an OpenCL device and 1 enables it.
The length of the string depends on the number of OpenCL devices available.
In your case, the string saved in the config is something like "10", while LuxCore detects 3 devices and wants something like "100".

I can think of these reasons why the length could be wrong:
- The scene was exported on a different computer with only two devices, and now you try to render on a computer with 3 devices
- The exporter detects a different number of devices than LuxCoreRender

You could try to run LuxMark to see how many OpenCL devices LuxCore detects.
Support LuxCoreRender project with salts and bounties

horse0291
Posts: 3
Joined: Sat Jul 28, 2018 11:18 pm

Re: OpenCL Error 2

Post by horse0291 » Sun Jul 29, 2018 6:56 pm

I'm not sure on the core version, it should be the newest one 2.0 because I just downloaded for my new computer unless Reality for DAZ does something weird and installs its own version. I understand the issues with the 01 I have seen the issue reported on other forums but no on seems to have a fix other than some people are able to go into the txt file find where the code string is and add an extra 0 but when I did that it just crashes Lux. All the scenes were built and exported on the same computer.

I think you are correct with there should be three devices not two, I ran luxmark and it shows the Inter (R) Core (TM) i7-8700 CPU @ 3.20GHz, the GeForce GTX 1080 and an Intel (R) UHD Graphics 630. I did not know the computer had the 630 since I bought it with the upgraded 1080 I have no need for a built in chipset. The Reality exporter does not recognize the 630 then because it never shows in the panel.

User avatar
B.Y.O.B.
Developer
Posts: 1583
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: OpenCL Error 2

Post by B.Y.O.B. » Sun Jul 29, 2018 7:01 pm

Have you tried to contact the Reality support?
Support LuxCoreRender project with salts and bounties

User avatar
Dade
Developer
Posts: 1327
Joined: Mon Dec 04, 2017 8:36 pm

Re: OpenCL Error 2

Post by Dade » Sun Jul 29, 2018 8:39 pm

horse0291 wrote:
Sun Jul 29, 2018 6:56 pm
I'm not sure on the core version, it should be the newest one 2.0 because I just downloaded for my new computer unless Reality for DAZ does something weird and installs its own version.
I assume Reality still use the old LuxRender v1.6/v1.7 :?:
Support LuxCoreRender project with salts and bounties

horse0291
Posts: 3
Joined: Sat Jul 28, 2018 11:18 pm

Re: OpenCL Error 2

Post by horse0291 » Sun Jul 29, 2018 10:32 pm

I am having problems finding out which version reality is using, I've posted on their forum but they are not as responsive as the this forum. I will have to try and find anther way to contact them. Honestly, I was trying to just figure out how to load my scenes into the standalone LuxRender, I don't really need to use the Reality plugin if I don't have to.

Post Reply